import {OpenlayerMap} from "./OpenlayerMap.ts";

(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.openlayers_field = {
    attach(context, settings) {
      $(context).find('div[data-map="openlayers"]:not([data-inited="true"])').each(function(){
        let map = new OpenlayerMap($(this).prop('id'));
        map.init();
        $(this).attr('data-inited', 'true');
      });
    }
  }
}(jQuery, Drupal, drupalSettings));
